Update company
curl --request PATCH \
--url https://client-api.dev.finhost.io/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyId": "<string>",
"name": "<string>",
"type": "<string>",
"position": "<string>"
}
'import requests
url = "https://client-api.dev.finhost.io/companies"
payload = {
"companyId": "<string>",
"name": "<string>",
"type": "<string>",
"position": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyId: '<string>',
name: '<string>',
type: '<string>',
position: '<string>'
})
};
fetch('https://client-api.dev.finhost.io/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companyType": "<string>",
"companyId": "<string>",
"kyc": "<string>",
"adm": "<string>",
"id": "<string>",
"name": "<string>",
"position": "<string>",
"email": "jsmith@example.com"
}Companies
Update company
Company info
PATCH
/
companies
Update company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
200 response
Type of the company
Unique identifier of the company
Status of the KYC process
Status of the ADM process
Unique identifier of the company profile
Name of the company
Position of the user within the company
Company email
⌘I